import 'basico_model.dart';

class Media extends Basico {
  String? get tabla => "Media";
  String? idUsuario;
  String? uuid;
  String? nombre;
  String? extension;
  String? ruta;
  String? tipo;

  Media({String? ruta, required String tipo}) {
    idUsuario = "";
    uuid = "";
    nombre = "";
    extension = "";
    ruta = "";
    tipo = "";
  }

  Media.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idUsuario = Basico.parseString(json["idUsuario"]);
    uuid = Basico.parseString(json["uuid"]);
    nombre = Basico.parseString(json["nombre"]);
    extension = Basico.parseString(json["extension"]);
    ruta = Basico.parseString(json["ruta"]);
    tipo = Basico.parseString(json["tipo"]);
  }

  @override
  Map<String, dynamic> toJson() => {
    'nombre': nombre,
    'idUsuario': idUsuario,
    'tipo': tipo,
    'extension': extension,
    'uuid': uuid,
    'ruta': ruta,
  }..addAll(super.toJson());
  
}
